VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan2e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL TX
        SIGNAL RTS
        SIGNAL XLXN_1
        SIGNAL WRUSB
        SIGNAL RDUSB_B
        SIGNAL RxErr
        SIGNAL TxBusy
        SIGNAL LDin
        SIGNAL Din(7:0)
        SIGNAL Dout(7:0)
        SIGNAL LDout
        SIGNAL DIPSW
        SIGNAL CLK
        SIGNAL RST
        SIGNAL RX
        SIGNAL nRST
        SIGNAL CTS
        PORT Output TX
        PORT Input RTS
        PORT Output WRUSB
        PORT Output RDUSB_B
        PORT Input DIPSW
        PORT Input CLK
        PORT Input RX
        PORT Input nRST
        PORT Output CTS
        BEGIN BLOCKDEF applic
            TIMESTAMP 2003 3 29 16 32 27
            BEGIN RECTANGLE W 32 -32 400 272 
            END RECTANGLE
            LINE N 0 240 32 240 
            LINE N 0 208 32 208 
            LINE N 0 160 32 160 
            LINE N 0 112 32 112 
            LINE N 0 80 32 80 
            LINE N 400 32 432 32 
            BEGIN LINE W 400 0 432 0 
            END LINE
            LINE N 0 32 32 32 
            BEGIN LINE W 0 0 32 0 
            END LINE
        END BLOCKDEF
        BEGIN BLOCKDEF buf
            TIMESTAMP 2001 2 2 12 51 12
            LINE N 0 -32 64 -32 
            LINE N 224 -32 128 -32 
            LINE N 64 0 128 -32 
            LINE N 128 -32 64 -64 
            LINE N 64 -64 64 0 
        END BLOCKDEF
        BEGIN BLOCKDEF inv
            TIMESTAMP 2001 2 2 12 53 52
            LINE N 0 -32 64 -32 
            LINE N 224 -32 160 -32 
            LINE N 64 -64 128 -32 
            LINE N 128 -32 64 0 
            LINE N 64 0 64 -64 
            CIRCLE N 128 -48 160 -16 
        END BLOCKDEF
        BEGIN BLOCKDEF gnd
            TIMESTAMP 2001 2 2 12 52 44
            LINE N 64 -64 64 -96 
            LINE N 76 -48 52 -48 
            LINE N 68 -32 60 -32 
            LINE N 88 -64 40 -64 
            LINE N 64 -64 64 -80 
            LINE N 64 -128 64 -96 
        END BLOCKDEF
        BEGIN BLOCKDEF title
            TIMESTAMP 2003 3 29 23 27 10
            BEGIN LINE W -336 -224 -1168 -224 
            END LINE
            BEGIN LINE W -352 -80 -1168 -80 
            END LINE
            BEGIN LINE W -1168 -224 -1168 -80 
            END LINE
            BEGIN LINE W -80 -80 -352 -80 
            END LINE
            BEGIN LINE W -112 -224 -336 -224 
            END LINE
            LINE N -768 -224 -768 -80 
            BEGIN LINE W -80 -224 -88 -224 
            END LINE
            BEGIN LINE W -80 -80 -88 -80 
            END LINE
            BEGIN LINE W -80 -224 -80 -80 
            END LINE
            LINE N -480 -128 -480 -80 
            LINE N -112 -176 -768 -176 
            LINE N -112 -128 -768 -128 
            BEGIN LINE W -112 -224 -80 -224 
            END LINE
            LINE N -112 -176 -80 -176 
            LINE N -112 -128 -80 -128 
        END BLOCKDEF
        BEGIN BLOCKDEF uarts
            TIMESTAMP 2003 3 30 10 44 26
            LINE N 336 64 368 64 
            LINE N 336 112 368 112 
            LINE N 336 160 368 160 
            LINE N 336 32 368 32 
            BEGIN LINE W 336 0 368 0 
            END LINE
            BEGIN RECTANGLE W 32 -32 336 256 
            END RECTANGLE
            LINE N 0 240 32 240 
            LINE N 0 208 32 208 
            LINE N 0 96 32 96 
            LINE N 0 32 32 32 
            BEGIN LINE W 0 0 32 0 
            END LINE
            LINE N 0 160 32 160 
        END BLOCKDEF
        BLOCK XLXI_20 title
        BEGIN BLOCK XLXI_9 buf
            PIN I XLXN_1
            PIN O WRUSB
        END BLOCK
        BEGIN BLOCK XLXI_10 inv
            PIN I XLXN_1
            PIN O RDUSB_B
        END BLOCK
        BEGIN BLOCK XLXI_11 gnd
            PIN G XLXN_1
        END BLOCK
        BEGIN BLOCK i_APPLIC applic
            ATTR Type "applic"
            PIN CLK CLK
            PIN RST RST
            PIN RTS RTS
            PIN RxErr RxErr
            PIN RxRDY LDin
            PIN SDin(7:0) Din(7:0)
            PIN TxBusy TxBusy
            PIN LD_SDout LDout
            PIN SDout(7:0) Dout(7:0)
        END BLOCK
        BEGIN BLOCK XLXI_8 inv
            PIN I nRST
            PIN O RST
        END BLOCK
        BEGIN BLOCK i_UARTS uarts
            ATTR Type "uarts"
            PIN Baud DIPSW
            PIN CLK CLK
            PIN Din(7:0) Dout(7:0)
            PIN LD LDout
            PIN RST RST
            PIN Rx RX
            PIN Dout(7:0) Din(7:0)
            PIN RxErr RxErr
            PIN RxRDY LDin
            PIN Tx TX
            PIN TxBusy TxBusy
        END BLOCK
        BEGIN BLOCK XLXI_19 inv
            PIN I TX
            PIN O CTS
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 2720 1760
        BEGIN INSTANCE XLXI_20 2800 1840 R0
        END INSTANCE
        BEGIN DISPLAY 2116 1640 TEXT "UART Demo Project"
            FONT 28 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2140 1684 TEXT "Top Level - designed by Bert Cuzeau"
            FONT 28 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2124 1732 TEXT "March 2003"
            FONT 28 "Arial"
        END DISPLAY
        INSTANCE XLXI_9 576 1376 R0
        INSTANCE XLXI_10 576 1472 R0
        BEGIN BRANCH XLXN_1
            WIRE 448 1344 576 1344
            WIRE 448 1344 448 1440
            WIRE 448 1440 448 1488
            WIRE 448 1440 576 1440
        END BRANCH
        INSTANCE XLXI_11 384 1616 R0
        BEGIN BRANCH WRUSB
            WIRE 800 1344 960 1344
        END BRANCH
        BEGIN BRANCH RDUSB_B
            WIRE 800 1440 960 1440
        END BRANCH
        IOMARKER 960 1344 WRUSB R0 28
        IOMARKER 960 1440 RDUSB_B R0 28
        BEGIN INSTANCE i_APPLIC 960 928 R0
        END INSTANCE
        BEGIN BRANCH RxErr
            WIRE 784 752 784 1088
            WIRE 784 1088 960 1088
            WIRE 784 752 1488 752
            WIRE 1488 752 2112 752
            WIRE 2112 752 2112 1040
            WIRE 1984 1040 2112 1040
            BEGIN DISPLAY 1488 752 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH TxBusy
            WIRE 832 784 832 1008
            WIRE 832 1008 960 1008
            WIRE 832 784 1504 784
            WIRE 1504 784 2080 784
            WIRE 2080 784 2080 992
            WIRE 1984 992 2080 992
            BEGIN DISPLAY 1504 784 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LDin
            WIRE 880 816 880 960
            WIRE 880 960 960 960
            WIRE 880 816 1488 816
            WIRE 1488 816 2048 816
            WIRE 2048 816 2048 960
            WIRE 1984 960 2048 960
            BEGIN DISPLAY 1488 816 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Din(7:0)
            WIRE 928 848 928 928
            WIRE 928 928 960 928
            WIRE 928 848 1504 848
            WIRE 1504 848 2016 848
            WIRE 2016 848 2016 928
            WIRE 1984 928 2016 928
            BEGIN DISPLAY 1504 848 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH Dout(7:0)
            WIRE 1392 928 1504 928
            WIRE 1504 928 1616 928
            BEGIN DISPLAY 1504 928 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH LDout
            WIRE 1392 960 1488 960
            WIRE 1488 960 1616 960
            BEGIN DISPLAY 1488 960 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH DIPSW
            WIRE 1536 1024 1616 1024
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 880 1136 960 1136
        END BRANCH
        BEGIN BRANCH CLK
            WIRE 1584 1136 1616 1136
            BEGIN DISPLAY 1584 1136 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RST
            WIRE 800 1168 928 1168
            WIRE 928 1168 960 1168
            BEGIN DISPLAY 928 1168 ATTR Name
                ALIGNMENT SOFT-BCENTER
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RST
            WIRE 1584 1168 1616 1168
            BEGIN DISPLAY 1584 1168 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH RTS
            WIRE 912 1040 960 1040
            BEGIN DISPLAY 912 1040 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH nRST
            WIRE 544 1168 576 1168
        END BRANCH
        INSTANCE XLXI_8 576 1200 R0
        BEGIN RECTANGLE W 968 364 1904 692 
        END RECTANGLE
        BEGIN DISPLAY 1024 636 TEXT "Tested on the Seytronix FPGA Starter board."
            FONT 40 "Arial"
        END DISPLAY
        LINE N 1048 488 1824 488 
        BEGIN DISPLAY 1352 432 TEXT "typical application"
            FONT 56 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1056 432 TEXT "UARTS :"
            FONT 56 "Arial"
        END DISPLAY
        BEGIN DISPLAY 992 528 TEXT "(c) ALSE. Cannot be used without prior written consent of ALSE."
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 1028 568 TEXT http://www.alse-fr.com
            FONT 40 "Arial"
        END DISPLAY
        IOMARKER 1536 1024 DIPSW R180 28
        IOMARKER 880 1136 CLK R180 28
        IOMARKER 544 1168 nRST R180 28
        BEGIN DISPLAY 2168 1072 TEXT RS232
            FONT 40 "Arial"
        END DISPLAY
        BEGIN BRANCH TX
            WIRE 1984 1088 2048 1088
            WIRE 2048 1088 2048 1152
            WIRE 2048 1152 2192 1152
        END BRANCH
        BEGIN BRANCH RX
            WIRE 1504 1088 1504 1216
            WIRE 1504 1216 2192 1216
            WIRE 1504 1088 1616 1088
        END BRANCH
        RECTANGLE N 2168 1104 2296 1304 
        BEGIN INSTANCE i_UARTS 1616 928 R0
        END INSTANCE
        IOMARKER 2192 1152 TX R0 28
        IOMARKER 2192 1216 RX R0 28
        BEGIN BRANCH RTS
            WIRE 2112 1408 2192 1408
            BEGIN DISPLAY 2112 1408 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        BEGIN BRANCH CTS
            WIRE 2112 1456 2192 1456
        END BRANCH
        BEGIN BRANCH TX
            WIRE 1840 1456 1888 1456
            BEGIN DISPLAY 1840 1456 ATTR Name
                ALIGNMENT SOFT-RIGHT
            END DISPLAY
        END BRANCH
        INSTANCE XLXI_19 1888 1488 R0
        IOMARKER 2192 1408 RTS R0 28
        IOMARKER 2192 1456 CTS R0 28
        BEGIN DISPLAY 1804 1524 TEXT "Note : we drive the LED by TX."
            FONT 28 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2304 1404 TEXT "not used"
            FONT 32 "Arial"
        END DISPLAY
        BEGIN DISPLAY 2304 1456 TEXT LED
            FONT 32 "Arial"
        END DISPLAY
    END SHEET
END SCHEMATIC
