@echo off
echo.
echo  Cleaning Up Altera Result Files.
echo  Copyright ALSE www.alse-fr.com
echo  -------------------------------
echo.
echo  THIS WILL ERASE ALL THE RESULT FILES !
echo.
echo  Press Ctrl-Break to abort, any key to Clean up...
pause >nul

echo ModelSim specific files & work dir...
if exist transcript del transcript
if exist *.wav  del *.wav
if exist *.wlf  del *.wlf
rem del /S/Q .\work\*.*
rmdir /S/Q work

echo Generic Temp files...
rem if exist *.hex  del *.hex
if exist *.bak  del *.bak
if exist *.wbk  del *.wbk
if exist *.err  del *.err
if exist *.cnf  del *.cnf
if exist *.hif  del *.hif
if exist *.log  del *.log
if exist *.$$$  del *.$$$
if exist *.fit  del *.fit
if exist *.ndb  del *.ndb
if exist *.xdb  del *.xdb
if exist *.ndb  del *.ndb
if exist *.lmf  del *.lmf
if exist fitfstio.txt del fitfstio.txt
if exist *.vfd del *.vfd
if exist *.spl del *.spl
if exist *.vtd del *.vtd
if exist undo_redo.txt del undo_redo.txt
rem if exist *.edf  del *.edf


echo Max+II specific files...
if exist *.pin  del *.pin
if exist *.ttf  del *.ttf
if exist *.vho  del *.vho
if exist *.sdo  del *.sdo
if exist *.wlf  del *.wlf
if exist *.snf  del *.snf
if exist *.mmf  del *.mmf
if exist *.rpt  del *.rpt
rem if exist *.sum  del *.sum
if exist *).mif del *).mif

rem Keep the programming files !
rem if exist *.pof  del *.pof
rem if exist *.sof  del *.sof

echo Quartus specific files...
if exist *.eqn del *.eqn
if exist *.summary del *.summary
if exist *.done del *.done
if exist *.*.htm del *.*.htm
if exist *.ssf del *.ssf
if exist serv_req_info.txt del serv_req_info.txt
if exist *.qws del *.qws
if exist cmp_state.ini del cmp_state.ini


echo Deleting db and simulation sub-directories (using Unix command) !
rm -r db
rm -r simulation

echo Removing Quartus projects and Edif !!!
if exist *.q?f del *.q?f
del top.edf

echo.
echo DONE !
echo.
pause

