vlib work
vmap work ./work

vcom -93 ../src/uarts.vhd
vcom -93 ../src/applic.vhd
vcom -93 ../src/top_uart.vhd
vcom -93 ./console.vhd
vcom -93 ./tb_top.vhd

vsim tb_top

puts "\n=== Simulation Script for ModelSim. - ALSE ===\n"

view structure
view signals

# Waveform for debugging purpose
# add wave /tb_top/clk
add wave /tb_top/nrst
add wave -radix ascii /tb_top/uut/sdout
add wave -radix ascii /tb_top/uut/sdin
add wave /tb_top/rx
add wave /tb_top/uut/i_uarts/toprx
add wave /tb_top/uut/i_uarts/rxfsm
add wave /tb_top/tx
add wave /tb_top/uut/i_uarts/toptx
add wave /tb_top/uut/i_uarts/txfsm

puts "\n=== Simulation starting now ===\n"
run -all
